<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:ns5="http://www.w3.org/1999/xhtml" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="VELOCITY_CONVERSION">
  <refnamediv>
    <refname>VELOCITY_CONVERSION</refname>
    <refpurpose>This Xcos block allows to easily convert velocity values betwen different velocity units.</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata align="center" fileref="../../../images/gif/VELOCITY_CONVERSION.gif" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_VELOCITY_CONVERSION">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="VELOCITY_CONVERSION">VELOCITY_CONVERSION block</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Description_VELOCITY_CONVERSION">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Data_types_VELOCITY_CONVERSION">Data types</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Dialogbox_VELOCITY_CONVERSION">Dialog box</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Properties_VELOCITY_CONVERSION">Default properties</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_VELOCITY_CONVERSION">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Computationalfunction_VELOCITY_CONVERSION">Computational function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="SeeAlso_VELOCITY_CONVERSION">See also</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Author_VELOCITY_CONVERSION">Author</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_VELOCITY_CONVERSION">
    <title>Description</title>
    <para>This Xcos block allows to easily convert velocity values betwen different velocity units. Input port accepts any size of double vector. Output port will always have the same dimension as input. Input values are treated as the where of "Convert from" unit and are converted to output of "Convert to" unit. Any combination of distance unit divided by time unit will be accepted. For example a phrase 'km/h' can be used in 'Convert from' parameter edit box and 'm/s' can be used as 'Convert to' parameter. Supported units are: km (kilometer), m (meter), au (astronomical unit), yr (year), day (day), h (hour), mn (minute), s (second).</para>
  </refsection>
  <refsection id="Data_types_VELOCITY_CONVERSION">
    <title>Data types</title>
    <itemizedlist>
      <listitem>
        <para>Input: NxM double</para>
        <para>Output: NxM double</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Dialogbox_VELOCITY_CONVERSION">
    <title>Dialog box</title>
<imagedata align="center" fileref="../../../images/gif/VELOCITY_CONVERSION_dialog.gif" valign="middle"/>
  </refsection>
  <refsection id="Properties_VELOCITY_CONVERSION">
    <title>Default properties</title>
    <para>Convert from = km/h</para>
    <para>Convert to = m/s</para>
  </refsection>
  <refsection id="Interfacingfunction_VELOCITY_CONVERSION">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para>macros/VELOCITY_CONVERSION.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Computationalfunction_VELOCITY_CONVERSION">
    <title>Computational function</title>
    <itemizedlist>
      <listitem>
        <para>macros/AB_unit_conversion.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="SeeAlso_VELOCITY_CONVERSION">
    <title>See Also</title>
    <simplelist type="inline">
      <member><link type="scilab" linkend="scilab.help/CelestLab">CelestLab</link>- Aerospace library</member>
      <member><link type="scilab" linkend="scilab.help/CL_unitConvert">CL_unitConvert</link>- CelestLab function used for unit conversion</member>
      <member><link type="scilab" linkend="scilab.help/DISTANCE_CONVERSION">DISTANCE_CONVERSION</link>- block allowing for distance conversions</member>
      <member><link type="scilab" linkend="scilab.help/ANGLE_CONVERSION">ANGLE_CONVERSION</link>- block allowing for angle conversions</member>
    </simplelist>
  </refsection>
  <refsection id="Author_VELOCITY_CONVERSION">
    <title>Author</title>
    <simplelist type="inline">
      <member>Paweł Zagórski</member>
    </simplelist>
  </refsection>
</refentry>
